Page MenuHomePhabricator

Bundle Scribunto extension with MediaWiki
Closed, ResolvedPublic

Description

  • Passed security review or already Wikimedia deployed
  • Voting CI structure tests
  • Runs MediaWiki-CodeSniffer
  • Runs phan
  • Supports MySQL, SQLite, and Postgres (no schema changes)
  • GPL v2 or later compatible license
  • Extension's default configuration provides optimal experience
  • Tested with web installer

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2018, 6:25 PM
Tgr added a subscriber: Tgr.Apr 8 2018, 8:56 PM
Legoktm updated the task description. (Show Details)Apr 9 2018, 2:20 AM

While Scribunto does not require CodeEditor, if both are enabled, the following should probably be set:

$wgScribuntoUseCodeEditor = true;

Similarly, Scribunto does not require SyntaxHighlight, but if both are enabled, the following should probably be set:

$wgScribuntoUseGeSHi = true;

Change 425015 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/Scribunto@master] Use CodeEditor and SyntaxHighlight when available

https://gerrit.wikimedia.org/r/425015

Change 425015 merged by jenkins-bot:
[mediawiki/extensions/Scribunto@master] Use CodeEditor and SyntaxHighlight when available

https://gerrit.wikimedia.org/r/425015

There are two deprecation warnings in Scribunto when used with SyntaxHighlight:

Deprecated: Use of SyntaxHighlight::prepare is deprecated. [Called from ScribuntoContent::fillParserOutput in /WIKIFARM/MEDIAWIKI/mediawiki-master/extensions/Scribunto/includes/common/ScribuntoContent.php at line 128] in /WIKIFARM/MEDIAWIKI/mediawiki-master/includes/debug/MWDebug.php on line 309

Deprecated: Use of SyntaxHighlight::buildHeadItem is deprecated. [Called from ScribuntoContent::fillParserOutput in /WIKIFARM/MEDIAWIKI/mediawiki-master/extensions/Scribunto/includes/common/ScribuntoContent.php at line 141] in /WIKIFARM/MEDIAWIKI/mediawiki-master/includes/debug/MWDebug.php on line 309

License review: I talked with @lfaraone (Debian FTP master) and he's concerned about the lua 5.1 binaries that are included with Scribunto. Are the Windows/macOS binaries fully free software (are they linked with any proprietary Windows/macOS library)? I think I read somewhere that @Anomie used centos with an old glibc to build the Linux binaries so that should all be free software.

T72541#1805584 and subsequent comments describe the build process used.

The "generic" build target doesn't statically link anything and only dynamically links libm, and the instructions for building on Windows don't specify linking against anything at all, although in any case I suppose it'll also link with the equivalent of libc.

I have no idea how to determine whether the binaries are "fully" free software in the face of dynamic linking. It seems even actual lawyers disagree.

Legoktm updated the task description. (Show Details)May 15 2018, 3:11 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

No open patchsets FWICS.

CCicalese_WMF renamed this task from Bundle Scribunto extension with MW 1.32 to Bundle Scribunto extension with MediaWiki.Nov 10 2018, 6:49 PM

Any update on the license question?

CCicalese_WMF triaged this task as Normal priority.Sep 13 2019, 4:48 PM

Ping WMF-Legal? I don't see there being an answer to that question until an actual tech lawyer steps up. And it wouldn't surprise me much if two different lawyers gave two (or more) different opinions, so even that might not help.

And even if our lawyers tell us it's ok, Debian may well decide differently and strip out the Windows and Mac binaries from their package anyway. Which wouldn't really be a bad thing, since Debian users aren't going to need those binaries anyway and people who do need them aren't at all likely to get MediaWiki from Debian.

I think it's reasonable to proceed and let Debian do what they may.

Change 536690 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/tools/release@master] make-release: Include Scribunto in 1.34+

https://gerrit.wikimedia.org/r/536690

I think it's reasonable to proceed and let Debian do what they may.

Agreed.

Change 536690 merged by jenkins-bot:
[mediawiki/tools/release@master] make-release: Include Scribunto in 1.34+

https://gerrit.wikimedia.org/r/536690

Jdforrester-WMF closed this task as Resolved.Mon, Sep 16, 10:06 PM
Jdforrester-WMF claimed this task.

This will happen with 1.34.